File: pyproject.toml

package info (click to toggle)
iredis 1.9.1-3
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 2,388 kB
  • sloc: python: 6,494; sh: 16; makefile: 13
file content (53 lines) | stat: -rw-r--r-- 1,472 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
[tool.poetry]
name = "iredis"
version = "1.9.1"
description = "Terminal client for Redis with auto-completion and syntax highlighting."
authors = ["laixintao <laixintao1995@163.com>"]
readme = 'README.md'
license = "BSD-3-Clause"
repository = 'https://github.com/laixintao/iredis'
homepage = "https://github.com/laixintao/iredis"
keywords=["Redis", "key-value store", "Commandline tools", "Redis Client"]
classifiers = [
# see https://pypi.org/pypi?%3Aaction=list_classifiers
    "Development Status :: 4 - Beta",
    "Environment :: Console",
    "Environment :: Console :: Curses",
    "Environment :: MacOS X",
    "Operating System :: OS Independent",
    "Programming Language :: Python :: 3.6",
    "Programming Language :: Python :: 3.7",
    "Programming Language :: Python :: 3.8",
    "Topic :: Database",
    "License :: OSI Approved :: MIT License",
    "Intended Audience :: Developers",
]

packages = [
    { include = "iredis" },
    { include = "tests", format = "sdist" },
]

[tool.poetry.dependencies]
python = "^3.6"
redis = "^3"
prompt_toolkit = "^3"
Pygments = "^2"
mistune = "^0.8"
configobj = "^5.0"
click = "^7.0"
pendulum = "^2.0"
importlib-resources = "1.0.2"
# wcwidth 0.2.x uses pkg_resources which is not supported by PyOxidizer
wcwidth = "0.1.9"

[tool.poetry.dev-dependencies]
pytest = "^5"
pexpect = "^4.7"

[tool.poetry.scripts]
iredis = 'iredis.entry:main'

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"